version: v1
managed:
  enabled: true
  go_package_prefix:
    default: github.com/chathaway-codes/home-sensors/v2/gen
plugins:
  - plugin: buf.build/protocolbuffers/go
    out: gen
    opt: paths=source_relative
  - plugin: buf.build/connectrpc/go
    out: gen
    opt: paths=source_relative
  - plugin: dart
    out: ui/lib/gen
    opt: grpc